﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Web_Server_EHEC.Model;
using Web_Server_EHEC.DAL;


namespace Web_Server_EHEC.ISL
{
    public class DoctorISL
    {
        public List<Doctor> GetAllDoctors()
        {
            using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
            {
                return ctx.DoctorSet.ToList();
            }
        }
        public bool CreateDoctor(Doctor doctor)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.DoctorSet.Add(doctor);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }

        public bool UpdateDoctor(Doctor doctor)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.DoctorSet.Attach(doctor);
                    ctx.Entry(doctor).State = System.Data.Entity.EntityState.Modified;
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }

        }
        public bool DeleteDoctor(Doctor doctor)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.DoctorSet.Attach(doctor);
                    ctx.DoctorSet.Remove(doctor);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}