﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Web_Server_EHEC.Model;

namespace Web_Server_EHEC.ISL
{
    public class ExamISL 
    {
        public List<Exam> GetAllExams()
        {
            using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
            {
                return ctx.ExamSet.ToList();
            }
        }
        public bool CreateExam(Exam exam)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ExamSet.Add(exam);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }

        public bool UpdateExam(Exam exam)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ExamSet.Attach(exam);
                    ctx.Entry(exam).State = System.Data.Entity.EntityState.Modified;
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }

        }
        public bool DeleteExam(Exam exam)
        {
            try
            {
                using (EHEC_DB_ModelContainer ctx = new EHEC_DB_ModelContainer())
                {
                    ctx.ExamSet.Attach(exam);
                    ctx.ExamSet.Remove(exam);
                    ctx.SaveChanges();
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}